import GroupModel from "../../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import GridView from "./GridView.js";
export interface IFooterViewOptions extends IBaseViewOptions {
    parent: GridView;
    source: GroupModel;
}
export default class FooterView extends BaseView {
    private m_parent;
    private m_resizer;
    constructor(options: IFooterViewOptions);
    get parent(): GridView;
    protected get source(): GroupModel;
    get descriptionNode(): JQuery;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    private resizer_init;
}
